jackrabbit-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jukka Zitting (JIRA)" <j...@apache.org>
Subject [jira] Closed: (JCR-413) JCA will not compile with J2EE1.3 classes
Date Thu, 22 Feb 2007 11:27:05 GMT

     [ https://issues.apache.org/jira/browse/JCR-413?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jukka Zitting closed JCR-413.
-----------------------------

    Resolution: Fixed

Good point! I opened a new issue JCR-761 for the problem introduced in JCR-736 and re-closed
this issue to avoid confusing the list of fixes in the 1.1 release.

> JCA will not compile with J2EE1.3 classes
> -----------------------------------------
>
>                 Key: JCR-413
>                 URL: https://issues.apache.org/jira/browse/JCR-413
>             Project: Jackrabbit
>          Issue Type: Bug
>          Components: jca
>    Affects Versions: 1.0, 1.0.1
>         Environment: JDK1.4.2
> SunOne AppServer 7
>            Reporter: Ross Black
>         Assigned To: Jukka Zitting
>            Priority: Minor
>             Fix For: 1.1
>
>
> In JCAManagedConnectionFactory, the constructor invoked to throw ResourceException does
not exist under J2EE1.3 / JCA1.1 classes.
>  throw new ResourceException(e)  -  line 136 and line 277.
> Instead the code needs to do something like:
>             ResourceException exception = new ResourceException("Failed to create session");
>             exception.setLinkedException(e);
>             throw exception;
> This will allow it to compile/run under J2EE1.3

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message